Skip to main content
GET
/
companies
/
{companyId}
/
latest-revenue
Get Latest Revenue for a Company
curl --request GET \
  --url https://app.tryspecter.com/api/v1/companies/{companyId}/latest-revenue \
  --header 'X-API-Key: <api-key>'
{
  "id": "5f3a2b1c4d5e6f7a8b9c0d1e",
  "company_name": "Stripe",
  "domain": "stripe.com",
  "est_revenue_usd": 10000000,
  "latest_revenue_reported_usd": 10000000,
  "latest_revenue_reported_date": "2022-08-19",
  "revenue_type": "ARR",
  "est_revenue_growth_1m_pct": 4.05,
  "est_revenue_growth_3m_pct": 11.59,
  "est_revenue_growth_6m_pct": 18.46,
  "est_revenue_growth_1y_pct": 43.55,
  "est_revenue_growth_2y_pct": 50
}

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The Specter company ID.

Response

The revenue figures for the matched company.

Latest revenue figures and estimated revenue growth for a single company. All values are null when the company is matched but has no revenue data on file. Growth figures are percentages (4.05 = +4.05%) and can be negative.

id
string

The Specter company ID of the matched company.

Example:

"5f3a2b1c4d5e6f7a8b9c0d1e"

company_name
string

The name of the matched company.

Example:

"Stripe"

domain
string

The domain of the matched company.

Example:

"stripe.com"

est_revenue_usd
integer | null

Latest estimated revenue, in USD.

Example:

10000000

latest_revenue_reported_usd
integer | null

Latest reported revenue, in USD.

Example:

10000000

latest_revenue_reported_date
string<date> | null

Date (YYYY-MM-DD) of the latest reported revenue.

Example:

"2022-08-19"

revenue_type
string | null

The metric the latest reported revenue figure represents (e.g. Revenue, ARR).

Example:

"ARR"

est_revenue_growth_1m_pct
number | null

1-month growth in estimated revenue, as a percentage.

Example:

4.05

est_revenue_growth_3m_pct
number | null

3-month growth in estimated revenue, as a percentage.

Example:

11.59

est_revenue_growth_6m_pct
number | null

6-month growth in estimated revenue, as a percentage.

Example:

18.46

est_revenue_growth_1y_pct
number | null

1-year growth in estimated revenue, as a percentage.

Example:

43.55

est_revenue_growth_2y_pct
number | null

2-year growth in estimated revenue, as a percentage.

Example:

50